Preskoči na vsebino

Nastavitve piškotkov

Za vsako vrsto izberite, katere piškotke dovolite. Svojo izbiro lahko kadar koli spremenite prek povezave Nastavitve piškotkov na dnu vsake strani. Izjava o zasebnosti

Nujni

Vedno vklopljeno

Potrebni so za prijavo, shranjevanje košarice in pomnjenje Vaših izbir. Vedno so vklopljeni.

Kateri piškotki?
  • weboke_sessie, weboke_klant, weboke_remember: Vaša seja in ohranjanje prijave
  • weboke_basket: Vaša košarica
  • wkBtwIncl: prikaz cen z DDV ali brez DDV
  • wok_cookies: Vaša izbira glede piškotkov, 12 mesecev

Meri, kateri oglas vodi do obiska ali naročila, da ne plačujemo za oglase, ki ne prinesejo ničesar.

Kateri piškotki?
  • Google Ads prek Google Tag Manager (_gcl_au, _gcl_aw), do 90 dni
  • OpenAI Ads, oglasi v ChatGPT
  • wok_aff: prek katerega partnerja ste prišli k nam (partnerski program), 60 dni

4,6

Država in jezik

Vsaka država ima svojo spletno stran, s cenami in DDV za to državo.

Prikaži

Kako delujejo filtri

Modul 6: Samodejno: filtri in odsotnost · Čas branja: 10 minut

Učni cilj: Po tej lekciji boste znali razložiti, kje in kdaj delujejo filtri, prebrati skript filtra v jeziku Sieve in napovedati, v katero mapo pride dohodno sporočilo.

Ključni pojmi: filter, Sieve, ManageSieve, nabor filtrov, pravilo, pogoj, akcija, implicitno shranjevanje, stop, vsebuje, je enak/a, ustreza izrazu

Filtri delujejo na strežniku

Filter samodejno razvršča Vašo pošto: pošto z besedo "factuur" v zadevi v mapo Facturen (računi), e-novice v posebno mapo. Najpomembnejše je vedeti: to razvrščanje ne poteka v spletni pošti, temveč na poštnem strežniku, in sicer v trenutku, ko je sporočilo dostavljeno v Vaš poštni predal.

Iz tega sledijo tri stvari:

  • Filtri delujejo tudi, ko je spletna pošta zaprta. Vaš prenosnik je lahko izklopljen. Telefon pošto takoj vidi v pravi mapi.
  • Filtri delujejo samo na novi pošti. Pošta, ki je že v Vašem poštnem predalu, ostane, kjer je. Če filter ustvarite danes, stara sporočila premaknete sami.
  • Filtri veljajo za en poštni predal. Vsak poštni predal ima svoje filtre. Če želite nekaj urediti za vse poštne predale svoje domene, na primer blokirati pošiljatelja, to storite v nadzorni plošči svojega gostovanja.

Filtri so napisani v jeziku Sieve, preprostem jeziku, namenjenem prav filtriranju pošte (RFC 5228). Poštni strežnik pri WebOké uporablja Dovecot s Pigeonhole, izvedbo jezika Sieve za Dovecot. Spletna pošta Vaše izbire v obrazcu pretvori v skript Sieve in ga prek protokola ManageSieve (RFC 5804) pošlje na strežnik. Jezika Sieve Vam ni treba pisati, kdor pa ga zna prebrati, natančno razume, kaj počnejo njegovi filtri.

Nabor filtrov, pravila, pogoji in akcije

Nabor filtrov je celoten skript: vsi filtri Vašega poštnega predala v eni datoteki. Naborov filtrov imate lahko več, aktiven pa je vedno le eden.

V naboru filtrov so filtri, ki jih spletna pošta imenuje tudi pravila. Vsak filter ima:

  • ime, ki je namenjeno samo Vam;
  • obseg: sporočilo mora izpolnjevati vsa pravila ali eno od pravil, lahko pa filter velja za vsa sporočila;
  • enega ali več pogojev: kam filter gleda (zadeva, pošiljatelj, druga glava), kako primerja in s katerim besedilom;
  • eno ali več akcij: kaj se zgodi, če so pogoji izpolnjeni.

Za primerjanje obstajajo trije načini:

V spletni poštiV jeziku SievePomen
vsebuje:containsbesedilo se pojavi nekje v glavi
je enak/a:isglava je natanko to besedilo
ustreza izrazu:matchesvzorec z * (nič ali več znakov) in ? (natanko en znak)

Pri vseh treh načinih velike in male črke niso pomembne. Sieve privzeto primerja s pravilom i;ascii-casemap, ki velike in male črke obravnava enako. "factuur" torej najde tudi "FACTUUR" in "Factuur".

Tako je videti nabor filtrov

V spletni pošti si nabor filtrov lahko ogledate kot besedilo prek Filtri > Akcije > Uredi nabor filtrov. Primer, kot ga zapiše spletna pošta:

require ["fileinto"];
# rule:[Nieuwsbrieven]
if exists "List-Id"
{
	fileinto "Nieuwsbrieven";
	stop;
}
# rule:[Facturen]
if allof (header :contains "subject" "factuur")
{
	fileinto "Facturen";
}
# rule:[Collega Daan]
if false # header :contains "from" "daan@example.com"
{
	fileinto "INBOX.Team";
}

Vrstico za vrstico:

  • require ["fileinto"]; od strežnika zahteva razširitev, ki je potrebna za premikanje v mapo. Spletna pošta to vrstico sama doda na vrh, skupaj z vsemi razširitvami, ki jih skript uporablja.
  • # rule:[Nieuwsbrieven] je komentar. Po njem spletna pošta prepozna ime Vašega filtra. Strežnik to vrstico preskoči.
  • if exists "List-Id" je pogoj: sporočilo ima glavo List-Id. To imajo e-novice in poštni seznami (RFC 2919).
  • fileinto "Nieuwsbrieven"; premakne sporočilo v mapo Nieuwsbrieven (e-novice). Ime mape je polno ime na strežniku, s piko kot ločilom (lekcija 5.1). Mapa pod Prejeto se torej imenuje INBOX.Team.
  • stop; ustavi celoten skript. Naslednji filtri sporočila ne pregledajo več. V spletni pošti se ta akcija imenuje Prekini z izvajanjem pravil.
  • if false # ... je izklopljen filter. Če izklopite Filter omogočen, spletna pošta iz pogoja naredi false: nikoli resnično. Stari pogoj ostane zapisan kot komentar, tako da ga lahko pozneje znova vklopite.
Skript Sieve nabora filtrov v Uredi nabor filtrov
Vaši filtri, kot jih bere strežnik: skript Sieve

Od zgoraj navzdol

Strežnik skript bere od zgoraj navzdol in pregleda vsak filter. Pri tem veljajo tri pravila.

1. Brez akcije sporočilo ostane v mapi Prejeto. Sieve pozna implicitno shranjevanje (implicit keep, RFC 5228, razdelek 2.10.2): če noben filter ne naredi ničesar, sporočilo preprosto pride v mapo Prejeto.

2. Po premiku sporočila ni še dodatno v mapi Prejeto. Ukaz fileinto implicitno shranjevanje izklopi. Sporočilo pride v izbrano mapo in ne hkrati še v mapo Prejeto. Če želite oboje, uporabite Kopiraj sporočila na.

3. Brez ukaza stop sporočilo pregledajo tudi naslednji filtri. Če stop manjka, strežnik nadaljuje z naslednjim filtrom. Če se ujema tudi ta filter, strežnik izvede tudi to akcijo. Dva premika v dve mapi pomenita, da sporočilo pride v obe mapi. Z stop odloči prvi ujemajoči se filter.

Zato je vrstni red pomemben. V zgornjem primeru je Nieuwsbrieven nad Facturen, z ukazom stop. E-novica z zadevo "Je factuur" torej gre v Nieuwsbrieven in ne v Facturen. Če vrstni red obrnete, ista e-novica pristane v Facturen, saj ta filter nima ukaza stop in je zdaj prvi. E-novica bi bila potem celo v obeh mapah. Zato najbolj specifične filtre postavite na vrh in jim dodajte ukaz stop.

Sledenje sporočilu: tako napoveste izid

Vzemite sporočilo in skript preglejte tako, kot to stori strežnik:

  1. Začnite pri prvem filtru. Je izklopljen (if false)? Preskočite ga.
  2. Je pogoj izpolnjen? Natančno poglejte glavo: subject je zadeva, from pošiljatelj z imenom in naslovom, to prejemnik.
  3. Če je: izvedite akcije. Če je zapisan stop, ste končali.
  4. Če ni, ali če ni ukaza stop: pojdite na naslednji filter.
  5. Na koncu: če noben filter sporočila ni premaknil ali izbrisal, je sporočilo v mapi Prejeto (INBOX).

S temi petimi koraki lahko preberete vsak skript, tudi dolgega.

V praksi: tako deluje v spletni pošti

Filtre najdete pod Nastavitve > Filtri. Seznam prikazuje Vaše filtre v vrstnem redu, v katerem jih izvaja strežnik; vrstni red spremenite tako, da jih povlečete. Pod Akcije je Uredi nabor filtrov: tam skript vidite in ga spreminjate kot besedilo. Korake za nov filter najdete v priročniku za Roundcube pod Ustvarjanje filtra. V drugih spletnih poštah deluje podobno: Gmail ima filtre, Outlook.com pravila. Ti ne uporabljajo jezika Sieve, a tudi tam veljata vrstni red in ustavljanje.

Povzetek

  • Filtri delujejo na poštnem strežniku ob dostavi, torej tudi, ko je spletna pošta zaprta, in samo na novi pošti.
  • Spletna pošta Vaše filtre zapiše kot skript Sieve (RFC 5228) in ga prek ManageSieve shrani na strežnik.
  • Vsebuje, je enak/a in ustreza izrazu privzeto ne razlikujejo med velikimi in malimi črkami.
  • Če noben filter ne naredi ničesar, sporočilo ostane v mapi Prejeto; po premiku ni še dodatno v mapi Prejeto.
  • Filtri se izvajajo od zgoraj navzdol; stop konča skript, zato vrstni red določa izid.

Kviz

1. Danes ustvarite filter za mapo Facturen. Kaj se zgodi z računi, ki so že v mapi Prejeto?



2. Filter s pogojem "Zadeva vsebuje factuur" prejme sporočilo z zadevo "FACTUUR 118". Kaj se zgodi?



3. Kaj pomeni if false # header :contains "from" "daan@example.com" v naboru filtrov?



4. Sporočilo se ujema s prvim filtrom (premik v Facturen, brez ukaza stop) in z drugim (premik v Klanten). Kam pride?



5. Kdaj strežnik shrani sporočilo v mapo Prejeto?



Naloga

Naloga A6.1: Kam pride to sporočilo? Odprite gradivo filters-1.txt, nabor filtrov, kot ga zapiše spletna pošta, in berichten-1.txt z glavami štirih dohodnih sporočil, oštevilčenih od 1 do 4. Vsako sporočilo preglejte po petih korakih iz te lekcije: od zgoraj navzdol, izklopljene filtre preskočite, pazite na stop. Za vsako sporočilo vpišite ime mape, v katero pride, natanko tako, kot je zapisano v skriptu; če sporočilo pride v mapo Prejeto, vpišite INBOX. Program Vaše štiri odgovore primerja s ključem odgovorov in pri vsakem sporočilu pokaže, kateri filter je bil odločilen.

Naloga A6.1: Kam pride to sporočilo?

Datoteka za to nalogo: filters-1.txt, berichten-1.txt





Tega, kar vnesete, in tega, kar najdemo, ne shranjujemo. Vaš brskalnik si zapomni Vaše odgovore in to, ali ste nalogo opravili. Če ste prijavljeni, v Moji tečaji shranimo samo podatek, da ste nalogo (skoraj) pravilno opravili; tudi to lahko tam izbrišete.

Za nadaljnje branje

Kjer so navedeni koraki v spletni pošti, veljajo za spletno pošto WebOké; v drugih spletnih poštah deluje podobno.

Trenutek…

Nastavite svoje domene

Za vsako domeno uredite imenske strežnike, povezavo z gostovanjem in kdo bo imetnik.

Nalaganje Vaših domen…